Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.apache.tapestry5.annotations
Annotation Type Import

    @Target(value={TYPE,METHOD})
    @Retention(value=RUNTIME)
    @Documented
    @UseWith(value={COMPONENT,MIXIN,PAGE})
    public @interface Import

Annotations to control the importing of JavaScript stacks and libraries as well as stylesheets. This annotation may be placed on a class, in which case importing will occur as part of the `SetupRender` render phase. Alternately, the annotation maybe placed on any method (though typically it will be placed on a render phase method) and the import operations will be associated of that method.

Assets are localized during the `PageLifecycleAdapter.containingPageDidLoad()` lifecycle method.

Since:
  5.2.0
See Also:
  `JavaScriptSupport`

Optional Element Summary
`java.lang.String[]` | `library` JavaScript libraries to import.
`java.lang.String[]` | `stack` JavaScript Stacks to import.
`java.lang.String[]` | `stylesheet` Stylesheets to import.

### stack

    public abstract java.lang.String[] stack

  JavaScript Stacks to import. Stacks are imported before individual libraries. Note that stacks themselves may have dependencies on other stacks.

  See Also:
    `JavaScriptStack`, `JavaScriptSupport.importStack(String)`
  Default:
    {}

### library

    public abstract java.lang.String[] library

  JavaScript libraries to import. Each value is an asset path; symbols in each path are expanded. The library may be localized.

  See Also:
    `JavaScriptSupport.importJavaScriptLibrary(org.apache.tapestry5.Asset)`
  Default:
    {}

### stylesheet

    public abstract java.lang.String[] stylesheet

  Stylesheets to import. Each value is an asset path; symbols in each path are expanded. The stylesheet may be localized. The stylesheet is imported with no options.

  See Also:
    `JavaScriptSupport.importStylesheet(org.apache.tapestry5.Asset)`
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2003-2012 The Apache Software Foundation.